error() {
	if [[ $arch == "armv7l" ]]; then
		# turn off green LED
		echo "none" > /sys/class/leds/opi\:green\:usr2/trigger
		echo "0" > /sys/class/leds/opi\:green\:usr2/brightness
		# turn on red LED
		echo "none" > /sys/class/leds/opi\:red\:usr3/trigger
		echo "1" > /sys/class/leds/opi\:red\:usr3/brightness
	fi
	if [ -z "$1" ]; then
		log "Error running data collector script"
	else
		log "$1"
	fi
	exit 1
}

cleanexit() {

	if [[ $arch == "armv7l" ]]; then
		# indicate "idle/standby"
		echo "none" > /sys/class/leds/opi\:green\:usr2/trigger
		echo "1" > /sys/class/leds/opi\:green\:usr2/brightness

		# Make sure red led is turned off
		echo "none" > /sys/class/leds/opi\:red\:usr3/trigger
		echo "0" > /sys/class/leds/opi\:red\:usr3/brightness
	fi
	
	exit 0
}

log() {
	echo $1
	me=`basename "$0"`
	logger "[${me}]: ${1}"
}

dlog() {
	if [[ $debug -eq 1 ]]; then
		log  "DEBUG: $1"
	fi
}

sleeping() {

	dlog "Sleeping ${1}"
	if [[ $arch == "armv7l" ]]; then
		echo "timer" > /sys/class/leds/opi\:green\:usr2/trigger
		echo "500" > /sys/class/leds/opi\:green\:usr2/delay_on
		echo "1500" > /sys/class/leds/opi\:green\:usr2/delay_off

		# Make sure red led is turned off
		echo "none" > /sys/class/leds/opi\:red\:usr3/trigger
		echo "0" > /sys/class/leds/opi\:red\:usr3/brightness

		sleep $1

		echo "none" > /sys/class/leds/opi\:green\:usr2/trigger
		echo "0" > /sys/class/leds/opi\:green\:usr2/brightness
	else
		# just sleep....
		sleep $1
	fi	
}

